#!/usr/bin/env python

import sys
import os
import re

def usage():
    print
    print("### Usage:  ",os.path.basename(sys.argv[0]),"<bril log file>")
    print
    sys.exit()

def main():

    if len(sys.argv) == 1:
        usage()

    fname = sys.argv[1]
    if not os.path.exists(fname):
        usage()

    fIN = open(fname)
    # | 21    | 33   | 23628 | 23628 | 8240.552781490    | 7853.687813676   |
    #"\|\s+\d+\s+\| 33   \| 23628 \| 23628 \| 8240.552781490    \|\s+(?P<lumi>\S+)\s+\|"
    lumi_re = re.compile("\|\s+\d+\s+\|\s+\d+\s+\|\s+\d+\s+\|\s+\d+\s+\|\s+\S+\s+\|\s+(?P<lumi>\S+)\s+\|")

    lumi = 0
    for line in fIN:
        match = lumi_re.search(line)
        if match:
            lumi_str = match.group("lumi")
            print(lumi_str)
            lumi = float(lumi_str)*0.001
    print("Integrated luminosity",round(lumi, 1),"fb-1")

if __name__ == "__main__":
    main()
