#!/usr/bin/env python

import sys
import os
import re

def usage():
    print
    print("### Usage:  ",os.path.basename(sys.argv[0]),"<bril log file>")
    print
    sys.exit()

def main():

    if len(sys.argv) == 1:
        usage()

    fname = sys.argv[1]
    if not os.path.exists(fname):
        usage()

    fIN = open(fname)
    # | 21    | 33   | 23628 | 23628 | 8240.552781490    | 7853.687813676   |
    lumi_re = re.compile("\|\s+\d+\s+\|\s+\d+\s+\|\s+\d+\s+\|\s+\d+\s+\|\s+\S+\s+\|\s+(?P<lumi>\S+)\s+\|")
    # | 369927:9016 | 07/01/23 12:26:50 | 340  | 340  | 3.232428066    | 3.184844378   |
    fill_re = re.compile("\|\s+\d+:\d+\s+\|.*\|\s+\d+\s+\|\s+\d+\s+\|\s+\S+\s+\|\s+(?P<lumi>\S+)\s+\|")

    lumi = 0
    lumifill = 0
    for line in fIN:
        match = lumi_re.search(line)
        if match:
            lumi_str = match.group("lumi")
            #print(lumi_str)
            lumi = float(lumi_str)
        match_fill = fill_re.search(line)
        if match_fill:
            lumifill_str = match_fill.group("lumi")
            #print(lumifill_str)
            lumifill += float(lumifill_str)

    print("Integrated luminosity from fills  ",lumifill,"pb-1")
    print("Integrated luminosity from summary",lumi,"pb-1")

if __name__ == "__main__":
    main()
